Skip to main content
Version: V3.0

User Management API


Get User List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
account_idStringBodyAccount ID
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
emailStringBodyEmail
phoneStringBodyPhone
authStringBodyAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user
regionStringBodyRegion
payment_statusStringBodyPayment status, inactivated or normal or expired

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_user_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724721898925,
"result": [
{
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"auth": "admin",
"region": "Island",
"payment_status": "normal"
}
]
}

Failure Return Example

See Failure Return Example



Get User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
account_nameStringBodyAccount name
first_nameStringBodyFirst name
last_nameStringBodyLast name
emailStringBodyEmail
phoneStringBodyPhone
authStringBodyAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user
regionStringBodyRegion
payment_statusStringBodyPayment status, inactivated or normal or expired

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724721898925,
"result": {
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"auth": "admin",
"region": "Island",
"payment_status": "normal"
}
}

Failure Return Example

See Failure Return Example



Create User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
building_idStringBodyYesBuilding ID
first_nameStringBodyYesFirst name
last_nameStringBodyYesLast name
emailStringBodyYesEmail
authStringBodyYesAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
account_idStringBodyAccount ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"building_id": "br2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom",
"email": "test@akubela.com",
"auth": "admin"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"account_id": "a1a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Batch Create User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
param[]Object<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
building_idStringBodyYesBuilding ID
first_nameStringBodyYesFirst name
last_nameStringBodyYesLast name
emailStringBodyYesEmail
authStringBodyYesAccount authorization
admin: owner, the top administrator
user: family administrator
guest: family ordinary user

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "batch_create_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": [
{
"building_id": "br2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom",
"email": "test@akubela.com",
"auth": "admin"
}
]
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Update User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
first_nameStringBodyYesFirst name
last_nameStringBodyYesLast name

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"first_name": "Fly",
"last_name": "Dom"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Update User Password

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
new_passwordStringBodyYesNew password

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_user_password",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"new_password": "new_1234567As"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
account_idStringBodyYesAccount ID
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"residence_id": "re1adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "a1b5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Batch Delete User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
accounts[]Object<account>BodyYesAccount information

account description

Parameter NameTypeLocationRequiredDescription
account_idStringBodyYesAccount ID
residence_idStringBodyYesResidence ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "batch_delete_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"accounts": [
{
"residence_id": "re1adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "a1b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Import User Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
file_nameStringBodyYesFile name
file_urlStringBodyYesFile URL

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
task_idStringBodyTask ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "import_user_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-user"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}

Failure Return Example

See Failure Return Example



Get User Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
faces[]Object<face>BodyFace information
pin_codes[]Object<pin_code>BodyPIN code information
rf_cards[]Object<rf_card>BodyRF card information
access_groups[]Object<access_group>BodyAccess group information
floor_access[]StringBodyFloor access

face description

Parameter NameTypeLocationDescription
face_idStringBodyFace ID
created_timeStringBodyCreated time, UTC
creatorStringBodyCreator

pin_code description

Parameter NameTypeLocationDescription
pin_code_idStringBodyPIN code ID
numberStringBodyNumber
created_timeStringBodyCreated time, UTC
creatorStringBodyCreator

rf_card description

Parameter NameTypeLocationDescription
rf_card_idStringBodyRF card ID
numberStringBodyNumber
created_timeStringBodyCreated time, UTC
creatorStringBodyCreator

access_group description

Parameter NameTypeLocationDescription
access_group_idStringBodyAccess group ID
access_group_nameStringBodyAccess group name
access_group_typeStringBodyAccess group type, system or customized

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_user_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "r2c4b070cc928496198944858b344fc68",
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": {
"floor_access": [
"1",
"2"
],
"faces": [
{
"face_id": "fbr2c4b070cc928496198944858b344fc",
"created_time": "2024-07-17 09:00:46",
"creator": "pm"
}
],
"pin_codes": [
{
"pin_code_id": "pbr2c4b070cc928496198944858b344fc",
"number": "123456",
"created_time": "2024-07-17 19:00:46",
"creator": "pm"
}
],
"rf_cards": [
{
"rf_card_id": "rbr2c4b070cc928496198944858b344fc",
"number": "123456",
"created_time": "2024-07-17 14:00:46",
"creator": "pm"
}
],
"access_groups": [
{
"access_group_name": "test",
"access_group_id": "arbr2c4b070cc928496198944858b344f",
"access_group_type": "system"
}
]
}
}

Failure Return Example

See Failure Return Example



Update User Floor Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
floor_access[]StringBodyNoFloor access

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "update_user_floor_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"floor_access": [
"all"
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Create User PIN Code Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
numberStringBodyYesNumber

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
pin_code_idStringBodyPIN code ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_user_pin_code_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"number": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"pin_code_id": "p1a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Delete User PIN Code Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
pin_code_idStringBodyYesPIN code ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_user_pin_code_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"pin_code_id": "pdb5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Create User RF Card Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
numberStringBodyYesNumber

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
rf_card_idStringBodyRF card ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_user_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"number": "1234567"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"rf_card_id": "r1a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Delete User RF Card Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
rf_card_idStringBodyYesRF card ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_user_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"rf_card_id": "rdb5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Create User Face Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
face_picture_urlStringBodyYesFace picture URL

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"face_picture_url": "https://akcs.akubela.com/test"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Delete User Face Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
residence_idStringBodyYesResidence ID
account_idStringBodyYesAccount ID
face_idStringBodyYesFace ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"account_id": "ar2c4b070cc928496198944858b344fc6",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"face_id": "fdb5a73f8dd84abaa94dcs248be49b0d1"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Import User PIN Code and RF Card Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
file_nameStringBodyYesFile name
file_urlStringBodyYesFile URL

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
task_idStringBodyTask ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "import_user_pin_code_and_rf_card_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-pin-card"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}

Failure Return Example

See Failure Return Example



Import User Face Access Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
file_nameStringBodyYesFile name
file_urlStringBodyYesFile URL

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
task_idStringBodyTask ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "import_user_face_access_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"file_name": "test",
"file_url": "https://test.akubela.com/test-face"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"task_id": "tpr31adc223cc4b3bedb6bd4742dedcfa"
}
}

Failure Return Example

See Failure Return Example